# Copy this file to config.py and edit it.

class Config:
    VERSION="wa5znu-aprswatch 0.1"      # change this if you change the code
    # You need to get your own Yahoo Geocode appid.
    # See http://developer.yahoo.com/geo/placefinder/
    APPID="big-passcode-thing-goes-here--"
    # file location of your cache directory, writable to the user aprswatch runs as.
    CACHE_LOCATION="/home/klotz/python/aprswatch/geocache"
    APRS_IS_HOST = 'openwrt-wlan.example.com'
    APRS_IS_PORT = 1445
    APRS_IS_CALL = "SETUP MYCALL HERE"
    APRS_IS_PASSCODE = "123456"
    MAIL_HOST='mailhost.example.com'
    MOTION_TO="aprs-notify@example.com"
    MOTION_FROM="aprs-notify-owner@example.com"
    BATTERY_TO="aprs-battery@example.com"
    BATTERY_FROM="aprs-battery-owner@example.com"
    ADMIN_TO="aprs-admin@example.com"
    ADMIN_FROM="aprs-admin-owner@example.com"
    MOTION_BODY="http://aprs.fi/?call=%s&z=16\n\nhttp://aprs.fi/static/%s\n\n%s"
    MOTION_SUBJECT="Callsign %s seen"
    MOTION_AT_SUBJECT="%s at %s"
    BATTERY_SUBJECT="%s charge your battery: Condition %s! (%gV)"
    TIME_DELTA_MINUTES = timedelta(0, 10*60) # 10 minutes
    BUFSIZE = 1024*10
    MAX_EMPTY_LINES = 10
    VOLTAGE_CHECKS = {
        "/b": {
            12.5: "YELLOW",
            12.4: "RED",
            12.3: "DIRE"
            },
        
        "/>": {
            12.1: "YELLOW",
            12.0: "RED",
            11.8: "DIRE"
            }
    }
